Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 24 Apr 2014, 12:36
All times are UTC - 4
 Forum index » House Training » Users ( For the regulars ) » Usuarios de habla Hispana
Modem's Q trabajan con Puppy Linux!
Moderators: rarsa
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [15 Posts]  
Author Message
ECruz30

Joined: 04 Jul 2007
Posts: 16
Location: Puerto Rico

PostPosted: Sun 09 Mar 2008, 12:55    Post subject:  Modem's Q trabajan con Puppy Linux!  

Hola a todos,

Buscando en Google encontre esta lista que tal vez sea beneficiosa:


Quote:
Below is a list of modems that are known to work in Puppy, with a link to any details that the contributer deemed pertinent.

__________ A __________

Actiontec 56k EX560LKA - External Modem
Actiontec V.90 PCI AKA IBM V.90 PCI. - - Details
Actiontec 56K internal PCI Call Waiting Modem - - Details
Actiontec 56K External Modem MODEL EX560LKA, USB + RS232 Serial dual connection - - Details
__________ B __________

BestData 56k External Modem Model 56SPX-2
__________ C __________

CenDyne 56K external modem
3Com Megahertz 56K Global Modem pc card, model 3CCM156 - - Details
3Com Megahertz 56K Modem PMCICA Card, Model 3CXM556
__________ D __________

Diamond SupraExpress 336 V+ external modem - - Details
Diamond SupraExpress 336 internal
__________ E __________

__________ F __________

__________ G __________

GVC SF-1133V/R16 33.6 external serial modem - - Details
__________ H __________

__________ I __________

__________ J __________

__________ K __________

__________ L __________

1646T00 REA 12 99035 4903835 96 Lucent - - an older PCI modem that is very fast
Lectron H56CSP ISA bus internal. - - Details
__________ M __________

__________ N __________

__________ O __________

__________ P __________

PC Card 56K FAX MODEM (Twaiwan) pcmcia 56Kbps (Cirrus) Fax Modem PC Card, V.92 and V.34, P/N FM56C-NFS-CA - - Details
__________ Q __________

__________ R __________

Rockwell 33600 VACF ISA card
RC144DPi R6645-20 ROCKWELL 93 9423 A54927-2 MEXICO - - an older ISA modem that is very slow
__________ S __________

SwannSmart V.90 D56RSN - A1D external - - Details
__________ T __________

__________ U __________

U.S. Robotics V. Everything Courier Business Modem (external) - - Details
__________ V __________

__________ W __________

__________ X __________

Xircom pcmcia pc creditcard Ethernet10/100 + 56k , MODEL CEM56-100 - - Details
__________ Y __________

__________ Z __________

Zoom V.92 PC Card pcmcia MODEL 3075 with the L chipset. - - Details
Zoom Model 3049 External 56K V.92/V.90


http://puppylinux.org/wikka/ModemPageWorking
Back to top
View user's profile Send private message 
ECruz30

Joined: 04 Jul 2007
Posts: 16
Location: Puerto Rico

PostPosted: Wed 19 Mar 2008, 17:06    Post subject: ZOOM USB MODEM 3095  

Hola a todos,

Hoy me llego un modem (marca ZOOM - modelo 3095) que compre en ebay. El modelo no aparece en esta lista que publique, pero segun se lee en la descripcion trabaja con XP, Vista y tambien con Linux.

Es un modem USB, pero el Modem Wizard del Puppy no lo encuentra, y por eso me gustaria saber cuan efectivo puede ser para el Puppy.

En el manual del ZOOM me dice sobre el CD del modem que bajo la carpeta de Linux aparecen tres drivers: rpm, debian, y tar. La pregunta seria cual de los tres driver debo seleccionar y que otro procedimiento debo seguir para instalarlo.

Saludos.
Back to top
View user's profile Send private message 
caka

Joined: 07 Dec 2006
Posts: 202

PostPosted: Thu 20 Mar 2008, 06:32    Post subject:  

No se que modem es ese pero si como dices en el CD vienen los drivers de Linux vas a tener que compilarlos para tu Puppy. ¿Que versión de Puppy usas?.

rprm es para redhat y en principio yo no lo usaria para meterlo en tu Puppy

tar es el código fuente del driver por así decirlo. Este paquete se puede compilar en cualquier Linux, pero ten en cuenta que para poder compilarlo con el make... en Puppy tienes que tener instalado el paquete dev... correspondiente a tu versión de Puppy y además puede que sea necesario tener instaladas las fuentes del kernel. Con lo cual instalar el driver a partir de este paquete tar si no controlas Linux te puede resultar complicado.

debian Para mí en principio esta es la opción más recomendable ya que este es el driver para debian. Y en Puppy tienes un Dotpup llamado debian-installer y con este programa podrás instalar el driver para debian en Puppy e incluso te indicará las dependencias en caso de ser necesario.

Así que ya sabes, inténtalo instalar con el debian installer a ver si funciona. Una vez instalado puede que sea necesario que cargues el driver con "modprobe...".

Suerte.
Back to top
View user's profile Send private message 
ECruz30

Joined: 04 Jul 2007
Posts: 16
Location: Puerto Rico

PostPosted: Fri 21 Mar 2008, 09:53    Post subject:  

caka wrote:
No se que modem es ese pero si como dices en el CD vienen los drivers de Linux vas a tener que compilarlos para tu Puppy. ¿Que versión de Puppy usas?.
Hola Caka,

La version que estoy utilizando es la 214 Seamonkey-Fulldrivers.

El modem ZOOM 3095 es este:



Descripcion:

http://www.zoom.com/graphics/datasheets/dial_up/0478_3095.pdf

Instalacion Manual:

Installing the Modem on a Linux PC wrote:
To install the driver in .deb format:

A. Type sudo for debian and press enter.

B. At the prompt, enter your super user password.

C. Next, for .deb, enter:

    dpkg -i dgcmodem_i386.deb

D. At the prompt, enter the Linux source build directory that matches your running kernel.

E. If necessary, run dgcconfig to complete the instalation.


caka wrote:
debian Para mí en principio esta es la opción más recomendable ya que este es el driver para debian. Y en Puppy tienes un Dotpup llamado debian-installer y con este programa podrás instalar el driver para debian en Puppy e incluso te indicará las dependencias en caso de ser necesario.

Así que ya sabes, inténtalo instalar con el debian installer a ver si funciona. Una vez instalado puede que sea necesario que cargues el driver con "modprobe...".


Tratare de instalarlo con el debian-installer, si es que me acepta el formato USB; porque estuve leyendo que los modem con cable serial son recomendables para los Puppy Linux.

Saludos.
Back to top
View user's profile Send private message 
ECruz30

Joined: 04 Jul 2007
Posts: 16
Location: Puerto Rico

PostPosted: Fri 21 Mar 2008, 13:02    Post subject:  

Hola Caka,

La carpeta donde esta el driver de debian la grabe en mi pendrive y lo baje a mi Puppy (porque el CD parece que solamente abre en mi Windows XP). Luego le di un click sobre el archivo que aparece identificado como dgcmodem_i386.deb y me salio un cuadro que dice esto:

PupZip:ERROR wrote:
Suggestions: Install undeb.pup DotPup Package which contains an alternative DEB extration program; [...].


El undeb.pup DotPup Package es lo mismo que el debian-installer?.

Estuve buscando y encontre el enlace para bajar el undeb.pup:

http://www.murga-linux.com/puppy/viewtopic.php?t=14247

bajar desde aqui: http://www.murga-linux.com/puppy/viewtopic.php?mode=attach&id=2847&sid=3d538d64831b9d6bad44b85e6890e2c1

Pero dice que es un programa "unrpm".

Todd wrote:
Another tool that I have found to be a must have is the following. (It is called undeb, but is an unrpm program as well.)


Que es unrpm?, hay alguna desventaja por ser un "unrpm"?

Saludos.
Back to top
View user's profile Send private message 
caka

Joined: 07 Dec 2006
Posts: 202

PostPosted: Fri 21 Mar 2008, 13:53    Post subject:  

Tu error es que no tienes que hacer click directamente sobre el archivo *.deb. Ya que si lo haces así el sistema lo que intenta es descomprimirlo y te dice que no tiene el programa adecuado. El undeb que comentas es precisamente para "descomprimir" y quitar los archivos del *.deb y el unrpm lo mismo pero para archivos *.rpm.

Es decir lo estas haciendo mal. Por ponerte un ejemplo es como si quieres descomprimir en windows un archivo *.zip sin el winzip instalado. Pero insisto en que lo que tienes que hacer no es descomprimir.

Para instalar el driver te repito que lo debes intentar con el "debian installer" pero para ello lo tienes que hacer con el explorador dillo. Como me llevaría un rato explicartelo te ponog el enlace del manual de Oli:

http://www.puppy-linux.info/es/manual/puppy301/main.html

Lee el capítulo 7.2.3 que te explica detalladamente como usar el debian-installer. Una vez que abres el dillo seleccionas el archivo dgcmodem_i386.deb en la carpeta que lo tengas guardado y ya esta.

Suerte.
Back to top
View user's profile Send private message 
ECruz30

Joined: 04 Jul 2007
Posts: 16
Location: Puerto Rico

PostPosted: Fri 21 Mar 2008, 15:02    Post subject:  

caka wrote:
Para instalar el driver te repito que lo debes intentar con el "debian installer" pero para ello lo tienes que hacer con el explorador dillo. Como me llevaría un rato explicartelo te ponog el enlace del manual de Oli:

http://www.puppy-linux.info/es/manual/puppy301/main.html

Lee el capítulo 7.2.3 que te explica detalladamente como usar el debian-installer. Una vez que abres el dillo seleccionas el archivo dgcmodem_i386.deb en la carpeta que lo tengas guardado y ya esta.

Suerte.
Hola Caka,

Estuve revisando el capítulo 7.2.3 y se dice que luego de descargar los programas y guardalos se debe de iniciar un shell, y en el recuadro hay que escribir el comando: pb-debianinstaller, PERO sucede que cuando se llega al paso del "chequeo de las dependencias" se debe estar conectado a Internet, ¿y en mi caso que todavia no tengo el modem instalado en mi Puppy Linux, existe alguna otra opcion?.

Saludos.
Back to top
View user's profile Send private message 
caka

Joined: 07 Dec 2006
Posts: 202

PostPosted: Fri 21 Mar 2008, 19:32    Post subject:  

Me acabo de bajar de la página del modem el driver para Linux y lo he intentado instalar a partir del código fuente en mi Puppy (dejándo de lado el método debian) pero la cosa está dificil.

Se descomprimi el archivo bien y puedes ver las carpetas. Si lo quieres ver en la carpeta tar escribe:

Code:
tar -zxvf dgcmodem-1.01.tar.gz
cd dgcmodem-1.01


Ahora si escribes "ls" (el dir de windows) podrás ver los archivos de ese directorio o sino con el exporador. No está de más que leas los archivos "Install" y "Readme" que traen información sobre el driver. Y resulta que lo intenté compilar con "make install" y se instala sin problemas.

Pero despues al ejecutarlo y cargarlo con el comando "dgcconfig" en mi Puppy me da este error con la libreria libproc:

Code:
sysctl: /lib/libproc-3.2.3.so: version `_3_1_14' not found (required by sysctl)


Y claro despues de leer el archivo readme dice que el driver es apto para kernels 2.6.19 o superiores y resulta que yo estoy usando Puppy 2.13 con un kernel 2.6.18.1. Así que yo no te lo puedo compilar. ¿Tu que kernel tienes en Puppy 2.14? (La versión del kernel lo puedes mirar en una consola escribiendo "uname -r").

Tambien puede ser que el driver que yo me he bajado sea mas actual que el que tu tienes y resulta que el tuyo si sirva para versiones del kernel 2.6.18.1 ???. Mira el archivo readme que te he comentado antes a ver.

-----------------------------------------------------------------------------

EDITO: Tu me has dicho que tienes Puppy 2.14. Pues siento decirte que si quieres instalar el driver del modem tendrás que cambiarte a una versión más reciente de Puppy, por lo meos la 2.17 que tiene un kernel 2.6.19 o superior. Mira estos posts recientes sobre tu modem:

http://www.murga-linux.com/puppy/viewtopic.php?search_id=1429328759&t=27181

http://www.murga-linux.com/puppy/viewtopic.php?search_id=1429328759&t=27408

En este último un compañero ha compilado el driver para Puppy 3.0 que quizás te sirva en un futuro.

PD: Si hubiese buscado antes en el foro ya me hubiese ahorrado la currada de intentar compilarlo Very Happy Very Happy Very Happy
Back to top
View user's profile Send private message 
ECruz30

Joined: 04 Jul 2007
Posts: 16
Location: Puerto Rico

PostPosted: Fri 21 Mar 2008, 22:56    Post subject:  

caka wrote:
EDITO: Tu me has dicho que tienes Puppy 2.14. Pues siento decirte que si quieres instalar el driver del modem tendrás que cambiarte a una versión más reciente de Puppy, por lo meos la 2.17 que tiene un kernel 2.6.19 o superior.
Hola Caka,

Precisamente eso fue casi lo mismo que pregunte hace tiempo en el foro:

ECruz30 @ Posted: Sat Jul 14, 2007 10:13 PM wrote:
Hola a todos,

Se me olvido mencionar que la version que estoy utilizando... o por lo menos la que baje de iso es puppy 214 (seamonkey-fulldrivers), pero por lo que he visto recientemente, ya se tiene disponible versiones adelantadas como la 215CE y 216. Supongo que yo deberia hacer un upgrade hasta la 215... pero me pregunto si seria posible saltar ese paso y migrar a la 216?.

Saludos,

ECruz


Realmente me interesaria cambiar a la version 2.17 pues al menos esa es la meta que estoy buscando. Pues al principio de todo esto la 214 fue la que inicialmente encontre de casualidad, y luego de lograr instalarla fue cuando desafortunadamente observe que ya habian varias versiones adelantadas a esta.

Pero despues no me decidi a cambiarlo, porque pense que despues de tanto esfuerzo no seria conveniente migrar a otra version sin antes aprender la funcionalidad del Puppy. De todos modos, si migrar a la 217 no es tan tedioso me gustaria hacerlo siempre y cuando me digan los pasos a seguir.

Saludos.

PD: Y si yo hubiese sabido que ese modem seria un problemon ya me hubiese ahorrado el dinero que gaste en comprarlo.
Back to top
View user's profile Send private message 
caka

Joined: 07 Dec 2006
Posts: 202

PostPosted: Sat 22 Mar 2008, 06:18    Post subject:  

¿Que problema tienes para cambiar la version de Puppy?. ¿Lo tienes instalado en el disco duro o usas el CD?.

La mejor opción es empezar desde cero instalando una versión de Puppy más actual ya que no creo que hayas hecho muchas modificaciones o instalado muchos programas en tu Puppy antiguo.

Otra opción si quieres conservar tu Puppy es compilar tu mismo un kernel superior en esa version de Puppy para despues poder instalar el modem. Pero esto si no controlas un poquitín de Linux te va a resultar algo dificil. Lo mejor es empezar desde cero a no ser que pierdas algo que para tí es importante ???.
Back to top
View user's profile Send private message 
ECruz30

Joined: 04 Jul 2007
Posts: 16
Location: Puerto Rico

PostPosted: Sat 22 Mar 2008, 07:38    Post subject:  

caka wrote:
¿Que problema tienes para cambiar la version de Puppy?. ¿Lo tienes instalado en el disco duro o usas el CD?.
Hola Caka,

Lo tengo instalado en el disco duro, y no confronte problema alguno porque nunca intente cambiar la version.

caka wrote:
La mejor opción es empezar desde cero instalando una versión de Puppy más actual ya que no creo que hayas hecho muchas modificaciones o instalado muchos programas en tu Puppy antiguo.


Si comenzar desde cero es buscar nuevamente un enlace de una iso de la 217, bajarlo y grabarlo en un cd, subirlo en una pc, instalarlo en el disco duro, y configurar el grub loader, entonces lo puedo hacer.

caka wrote:
Otra opción si quieres conservar tu Puppy es compilar tu mismo un kernel superior en esa version de Puppy para despues poder instalar el modem. Pero esto si no controlas un poquitín de Linux te va a resultar algo dificil. Lo mejor es empezar desde cero a no ser que pierdas algo que para tí es importante ???.


El problema es el poquitin, aun asi un poquito no es tan sencillo, aunque yo lo intentaria si los pasos no son tan extensos. De todos modos si lo intento y no sale me ire por la primera opcion, comenzar desde cero.

Saludos.
Back to top
View user's profile Send private message 
caka

Joined: 07 Dec 2006
Posts: 202

PostPosted: Sat 22 Mar 2008, 10:07    Post subject:  

Quote:
Si comenzar desde cero es buscar nuevamente un enlace de una iso de la 217, bajarlo y grabarlo en un cd, subirlo en una pc, instalarlo en el disco duro, y configurar el grub loader, entonces lo puedo hacer.


Esto es lo mejor que puedes hacer desde mi punto de vista. Pero quizás sea mejor aun una versión más reciente que la 2.17 como la 3.0 de la que antes te puse un post en el que tienes el paquete *.pet del driver para tu modem de la versión 3.0.

Y lo de compilar un kernel nuevo en tu Puppy antiguo olvídate. Ya que los pasos para ello son muy muy largos, extensos y tediosos. Ademas seguro que esto te da más de un problema y quebradero de cabeza. Te lo digo por experiencia propia.

Suerte y ya contarás que tal con tu nuevo Puppy.
Back to top
View user's profile Send private message 
ECruz30

Joined: 04 Jul 2007
Posts: 16
Location: Puerto Rico

PostPosted: Sat 22 Mar 2008, 12:18    Post subject:  

caka wrote:
Pero quizás sea mejor aun una versión más reciente que la 2.17 como la 3.0 de la que antes te puse un post en el que tienes el paquete *.pet del driver para tu modem de la versión 3.0.
Hola Caka,

Hice una busqueda en Google y salio bajo Puppy 300 la version 3.01:

http://puppylinux.org/wikka/Puppy300



Entonces la 3.01 seria la version mas reciente de todas?

Saludos.
Back to top
View user's profile Send private message 
caka

Joined: 07 Dec 2006
Posts: 202

PostPosted: Sat 22 Mar 2008, 14:10    Post subject:  

La mas reciente no es, pero si que es una de las últimas. En principio a mí esa versión no me parece mal aunque es cuestión de probarla.

Para ver las últimas novedades de Puppy puedes consultar el blog de Barry (el creador de Puppy):

http://www.puppylinux.com/blog/

Hay otras versiones aun mas recientes como Puppy 3.0.2 o el nuevo "Puppy Dingo" (están en pruebas). La página oficial de descarga de Puppy es la siguiente:

ftp://ibiblio.org/pub/linux/distributions/puppylinux/

Ahí puedes bajar Puppy 3.01 u otra que quieras probar. El enlace directo de la versión 3.01:

ftp://ibiblio.org/pub/linux/distributions/puppylinux/puppy-3.01-seamonkey.iso

Quizás lo peor para los que hablamos en español es que esa versión está completamente en inglés. Por eso si quieres hacer "probaturas" (por ejemplo en un cd-rw) puedes probar tambien la version de puppy-hispana remasterizada por apendragon:

http://puppyhispano.iespana.es/

Está basada en Puppy 2.17 y no es tan reciente como la 3.01, pero a tí te llega con esa versión para que funcione tu modem. Yo probaría estas dos (puppy 3.01 en inglés y la puppy hispano de apendragon) y me quedaría con la que mas me gustase.
Back to top
View user's profile Send private message 
ECruz30

Joined: 04 Jul 2007
Posts: 16
Location: Puerto Rico

PostPosted: Sat 22 Mar 2008, 23:22    Post subject:  

caka wrote:
Yo probaría estas dos (puppy 3.01 en inglés y la puppy hispano de apendragon) y me quedaría con la que mas me gustase.
Hola Caka,

Ya baje el puppy hispano de Apendragon, y ya estoy bajando la version 3.01 desde el enlace directo.

El segundo paso seria quemarlo en un cd rw que tendre que comprar en la semana.

Del los demas pasos luego te comentare algunas dudas.

Saludos.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [15 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Users ( For the regulars ) » Usuarios de habla Hispana
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0988s ][ Queries: 12 (0.0036s) ][ GZIP on ]